[project]
name = "datastorage"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "aiosqlite>=0.21.0",
    "bcrypt>=5.0.0",
    "beautifulsoup4>=4.14.2",
    "celery>=5.5.3",
    "django>=5.2.7",
    "django-admin-interface>=0.30.1",
    "django-admin-multiple-choice-list-filter>=0.1.1",
    "django-admin-rangefilter>=0.13.3",
    "django-autocomplete-light>=3.12.1",
    "django-celery-beat>=2.6.0",
    "django-celery-results>=2.5.1",
    "django-debug-toolbar>=6.0.0",
    "django-dynamic-raw-id>=4.4",
    "django-import-export>=4.3.10",
    "django-leaflet>=0.32.0",
    "django-more-admin-filters>=1.13",
    "dotenv>=0.9.9",
    "geopy>=2.4.1",
    "gunicorn>=23.0.0",
    "lxml>=6.0.2",
    "numpy>=2.3.3",
    "openpyxl>=3.1.5",
    "pandas>=2.3.3",
    "psycopg>=3.2.10",
    "psycopg2-binary>=2.9.11",
    "pyproj>=3.6.0",
    "redis>=6.4.0",
    "django-redis>=5.4.0",
    "requests>=2.32.5",
    "selenium>=4.38.0",
    "setuptools>=80.9.0",
    "uvicorn>=0.38.0",
]


[dependency-groups]
dev = []
